Subject: Re: bug#61954: 30.0.50; [PATCH] Simplify structured commands in Eshell
From: Jim Porter <[email-masked]>
To: [email-masked]
Date: Thu, 16 Mar 2023 22:33:09 -0700
Newsgroups: gmane.emacs.bugs
List-Id: <debbugs-submit.debbugs.gnu.org>

On 3/3/2023 11:28 PM, Jim Porter wrote:
> Structured commands are just Eshell flow control commands, like 'if' and 
> 'while'. These expected you to set 'eshell-test-body' and 
> 'eshell-command-body' when implementing them, and were very hard to get 
> right (see bug#12571 for example).
> 
> Instead, let's improve Eshell's iterative command evaluation some more 
> so that you can write the implementations for these commands like 
> normal.

Since there haven't been any concerns about the patches themselves in 
the last two weeks-ish, merging this now as 1565dbcae3 and closing the bug.